Apache Ambari Upgrade
Also available as:
PDF

Preparing to Upgrade

  • Be sure to review the Ambari 2.5.2.0 release notes for Known Issues and Behavioral Changes.

  • You must have root, administrative, or root-equivalent authorization on the Ambari server host and all servers in the cluster.

  • You must backup the Ambari Server database.

  • You must make a safe copy of the Ambari Server configuration file found at /etc/ambari-server/conf/ambari.properties.

  • Plan to upgrade the Ambari Metrics service:

    • Record the location of the Metrics Collector component before you begin the upgrade process.

    • You must stop the Ambari Metrics service from Ambari Web.

    • After upgrading Ambari, you must also upgrade Ambari Metrics System and add the Grafana component.

  • After upgrading Ambari, you must also upgrade SmartSense.

[Important]Important

If your current Ambari version is 1.7 or below, you must upgrade the Ambari Server version to 2.2 before upgrading to version 2.5.

If your current Ambari version is 2.0, you may upgrade the Ambari Server version to 2.1, 2.2, or 2.4x before upgrading to version 2.5.x.

[Note]Note

During Ambari upgrade, the existing /var/lib/ambari-server/ambari-env.sh file is overwritten and a backup copy of ambari-env.sh (with extension .rpmsave) is created. If you have manually modified ambari-env.sh (for example, to change Ambari Server heap), you will need to re-apply your changes to the new file.

Next Steps

Upgrade to Ambari 2.5.x

More Information

Upgrade Ambari Metrics

Add Grafana

Upgrade SmartSense

Ambari 2.5.2.0 Release Notes

Upgrade the Ambari Server version to 2.2